
/* eslint-disable react/jsx-no-useless-fragment */
// @ts-nocheck
import type { Meta, StoryObj } from '@storybook/react';

import AreteansExtensionsLineCharts from './index';


import configProps from './mock';

const meta: Meta<typeof AreteansExtensionsLineCharts> = {
  title: 'AreteansExtensionsLineCharts',
  component: AreteansExtensionsLineCharts,
  excludeStories: /.*Data$/
};

export default meta;
type Story = StoryObj<typeof AreteansExtensionsLineCharts>;

if (!window.PCore) {
  window.PCore = {
    getDataApiUtils: () => {
      return {
        getData: () => {
          return Promise.resolve({
            data: {
              data: [
                {
                  Year: 2024,
                  Month: 'Jan',
                  SalesAchievedForBusinessLoan: 100,
                  SalesAchievedForPersonalLoan: 300
                },
                {
                  Year: 2024,
                  Month: 'Feb',
                  SalesAchievedForBusinessLoan: 200,
                  SalesAchievedForPersonalLoan: 450
                },
                {
                  Year: 2024,
                  Month: 'Mar',
                  SalesAchievedForBusinessLoan: 400,
                  SalesAchievedForPersonalLoan: 680
                },
                {
                  Year: 2024,
                  Month: 'Apr',
                  SalesAchievedForBusinessLoan: 50,
                  SalesAchievedForPersonalLoan: 20
                },
                {
                  Year: 2024,
                  Month: 'May',
                  SalesAchievedForBusinessLoan: 100,
                  SalesAchievedForPersonalLoan: 130
                },
                {
                  Year: 2024,
                  Month: 'Jun',
                  SalesAchievedForBusinessLoan: 200,
                  SalesAchievedForPersonalLoan: 450
                },
                {
                  Year: 2024,
                  Month: 'Jul',
                  SalesAchievedForBusinessLoan: 200,
                  SalesAchievedForPersonalLoan: 450
                },
                {
                  Year: 2024,
                  Month: 'Aug',
                  SalesAchievedForBusinessLoan: 600,
                  SalesAchievedForPersonalLoan: 150
                }, {
                  Year: 2024,
                  Month: 'Sept',
                  SalesAchievedForBusinessLoan: 300,
                  SalesAchievedForPersonalLoan: 200
                }, {
                  Year: 2024,
                  Month: 'Oct',
                  SalesAchievedForBusinessLoan: 700,
                  SalesAchievedForPersonalLoan: 500
                }
              ]
            }
          });
        }
      };
    }
  };
}




export const BaseAreteansExtensionsLineCharts: Story = args => {
  const props = {
    chartTitle: configProps.chartTitle,
    chartContainerWidthVal: configProps.chartContainerWidthVal,
    chartContainerWidthType: configProps.chartContainerWidthType,
    chartContainerHeightVal: configProps.chartContainerHeightVal,
    chartContainerHeightType: configProps.chartContainerHeightType,
    chartWidthVal: configProps.chartWidthVal,
    chartHeightVal: configProps.chartHeightVal,
    datasource: configProps.datasource,
    datasourceParam: configProps.datasourceParam,
    datasourceParamValue: configProps.datasourceParamValue,
    dataKeyForXAxis: configProps.dataKeyForXAxis,
    xAxisLabel: configProps.xAxisLabel,
    xAxisColor: configProps.xAxisColor,
    showXAxisGridLabels: configProps.showXAxisGridLabels,
    xAxisVisiblity: configProps.xAxisVisibility,
    autoPrependXLabelVal: configProps.autoPrependXLabelVal,
    autoAppendXLabelVal: configProps.autoAppendXLabelVal,
    showTickLinesForXAxis: configProps.showTickLinesForXAxis,
    yAxisLabel: configProps.yAxisLabel,
    yAxisColor: configProps.yAxisColor,
    showYAxisGridLabels: configProps.showYAxisGridLabels,
    yAxisVisibility: configProps.yAxisVisibility,
    showHorizontalGridLines: configProps.showHorizontalGridLines,
    showVerticalGridLines: configProps.showVerticalGridLines,
    gridOpacity: configProps.gridOpacity,
    seriesType: configProps.seriesType,
    primarySeriesColumnKey: configProps.primarySeriesColumnKey,
    primarySeriesColumnColor: configProps.primarySeriesColumnColor,
    secondarySeriesColumnKey: configProps.secondarySeriesColumnKey,
    secondarySeriesColumnColor: configProps.secondarySeriesColumnColor,
    columnSpacing: configProps.columnSpacing,

    getPConnect: () => {
      return {
        getContextName: () => {
          /* nothing */
        }
      };
    }
  };

  return (
      <>
        <AreteansExtensionsLineCharts {...props} {...args} />
      </>
    );
};

BaseAreteansExtensionsLineCharts.args = {
  chartTitle: configProps.chartTitle,
  chartContainerWidthVal: configProps.chartContainerWidthVal,
  chartContainerWidthType: configProps.chartContainerWidthType,
  chartContainerHeightVal: configProps.chartContainerHeightVal,
  chartContainerHeightType: configProps.chartContainerHeightType,
  chartWidthVal: configProps.chartWidthVal,
  chartHeightVal: configProps.chartHeightVal,
  datasource: configProps.datasource,
  datasourceParam: configProps.datasourceParam,
  datasourceParamValue: configProps.datasourceParamValue,
  dataKeyForXAxis: configProps.dataKeyForXAxis,
  xAxisLabel: configProps.xAxisLabel,
  xAxisColor: configProps.xAxisColor,
  showXAxisGridLabels: configProps.showXAxisGridLabels,
  xAxisVisiblity: configProps.xAxisVisibility,
  autoPrependXLabelVal: configProps.autoPrependXLabelVal,
  autoAppendXLabelVal: configProps.autoAppendXLabelVal,
  showTickLinesForXAxis: configProps.showTickLinesForXAxis,
  yAxisLabel: configProps.yAxisLabel,
  yAxisColor: configProps.yAxisColor,
  showYAxisGridLabels: configProps.showYAxisGridLabels,
  yAxisVisibility: configProps.yAxisVisibility,
  showHorizontalGridLines: configProps.showHorizontalGridLines,
  showVerticalGridLines: configProps.showVerticalGridLines,
  gridOpacity: configProps.gridOpacity,
  seriesType: configProps.seriesType,
  primarySeriesColumnKey: configProps.primarySeriesColumnKey,
  primarySeriesColumnColor: configProps.primarySeriesColumnColor,
  secondarySeriesColumnKey: configProps.secondarySeriesColumnKey,
  secondarySeriesColumnColor: configProps.secondarySeriesColumnColor,
  columnSpacing: configProps.columnSpacing
};
